local Item = ZO_Object:Subclass()
local Log = LOG_FACTORY:GetLog("backpack.Item")
--
Item.ItemType = {
	["ITEM_TRAIT_TYPE_WEAPON_WEIGHTED"] = ITEM_TRAIT_TYPE_WEAPON_WEIGHTED,
	["ITEMTYPE_ADDITIVE"] = ITEMTYPE_ADDITIVE,
	["ITEMTYPE_ALCHEMY_BASE"] = ITEMTYPE_ALCHEMY_BASE,
	["ITEMTYPE_ARMOR"] = ITEMTYPE_ARMOR,
	["ITEMTYPE_ARMOR_BOOSTER"] = ITEMTYPE_ARMOR_BOOSTER,
	["ITEMTYPE_ARMOR_TRAIT"] = ITEMTYPE_ARMOR_TRAIT,
	["ITEMTYPE_AVA_REPAIR"] = ITEMTYPE_AVA_REPAIR,
	["ITEMTYPE_BLACKSMITHING_BOOSTER"] = ITEMTYPE_BLACKSMITHING_BOOSTER,
	["ITEMTYPE_BLACKSMITHING_MATERIAL"] = ITEMTYPE_BLACKSMITHING_MATERIAL,
	["ITEMTYPE_BLACKSMITHING_RAW_MATERIAL"] = ITEMTYPE_BLACKSMITHING_RAW_MATERIAL,
	["ITEMTYPE_CLOTHIER_BOOSTER"] = ITEMTYPE_CLOTHIER_BOOSTER,
	["ITEMTYPE_CLOTHIER_MATERIAL"] = ITEMTYPE_CLOTHIER_MATERIAL,
	["ITEMTYPE_CLOTHIER_RAW_MATERIAL"] = ITEMTYPE_CLOTHIER_RAW_MATERIAL,
	["ITEMTYPE_COLLECTIBLE"] = ITEMTYPE_COLLECTIBLE,
	["ITEMTYPE_CONTAINER"] = ITEMTYPE_CONTAINER,
	["ITEMTYPE_COSTUME"] = ITEMTYPE_COSTUME,
	["ITEMTYPE_DISGUISE"] = ITEMTYPE_DISGUISE,
	["ITEMTYPE_DRINK"] = ITEMTYPE_DRINK,
	["ITEMTYPE_ENCHANTING_RUNE"] = ITEMTYPE_ENCHANTING_RUNE,
	["ITEMTYPE_ENCHANTMENT_BOOSTER"] = ITEMTYPE_ENCHANTMENT_BOOSTER,
	["ITEMTYPE_FLAVORING"] = ITEMTYPE_FLAVORING,
	["ITEMTYPE_FOOD"] = ITEMTYPE_FOOD,
	["ITEMTYPE_GLYPH_ARMOR"] = ITEMTYPE_GLYPH_ARMOR,
	["ITEMTYPE_GLYPH_JEWELRY"] = ITEMTYPE_GLYPH_JEWELRY,
	["ITEMTYPE_GLYPH_WEAPON"] = ITEMTYPE_GLYPH_WEAPON,
	["ITEMTYPE_INGREDIENT"] = ITEMTYPE_INGREDIENT,
	["ITEMTYPE_LOCKPICK"] = ITEMTYPE_LOCKPICK,
	["ITEMTYPE_LURE"] = ITEMTYPE_LURE,
	["ITEMTYPE_NONE"] = ITEMTYPE_NONE,
	["ITEMTYPE_PLUG"] = ITEMTYPE_PLUG,
	["ITEMTYPE_POISON"] = ITEMTYPE_POISON,
	["ITEMTYPE_POTION"] = ITEMTYPE_POTION,
	["ITEMTYPE_RAW_MATERIAL"] = ITEMTYPE_RAW_MATERIAL,
	["ITEMTYPE_REAGENT"] = ITEMTYPE_REAGENT,
	["ITEMTYPE_RECIPE"] = ITEMTYPE_RECIPE,
	["ITEMTYPE_SCROLL"] = ITEMTYPE_SCROLL,
	["ITEMTYPE_SIEGE"] = ITEMTYPE_SIEGE,
	["ITEMTYPE_SOUL_GEM"] = ITEMTYPE_SOUL_GEM,
	["ITEMTYPE_SPICE"] = ITEMTYPE_SPICE,
	["ITEMTYPE_STYLE_MATERIAL"] = ITEMTYPE_STYLE_MATERIAL,
	["ITEMTYPE_TABARD"] = ITEMTYPE_TABARD,
	["ITEMTYPE_TOOL"] = ITEMTYPE_TOOL,
	["ITEMTYPE_TRASH"] = ITEMTYPE_TRASH,
	["ITEMTYPE_TROPHY"] = ITEMTYPE_TROPHY,
	["ITEMTYPE_WEAPON"] = ITEMTYPE_WEAPON,
	["ITEMTYPE_WEAPON_BOOSTER"] = ITEMTYPE_WEAPON_BOOSTER,
	["ITEMTYPE_WEAPON_TRAIT"] = ITEMTYPE_WEAPON_TRAIT,
	["ITEMTYPE_WOODWORKING_BOOSTER"] = ITEMTYPE_WOODWORKING_BOOSTER,
	["ITEMTYPE_WOODWORKING_MATERIAL"] = ITEMTYPE_WOODWORKING_MATERIAL,
	["ITEMTYPE_WOODWORKING_RAW_MATERIAL"] = ITEMTYPE_WOODWORKING_RAW_MATERIAL,
}

Item.FilterType = {
	["ITEMFILTERTYPE_ALL"]		 = ITEMFILTERTYPE_ALL,
	["ITEMFILTERTYPE_ARMOR"] 	= ITEMFILTERTYPE_ARMOR,
	["ITEMFILTERTYPE_BUYBACK"] = ITEMFILTERTYPE_BUYBACK,
	["ITEMFILTERTYPE_CONSUMABLE"] = ITEMFILTERTYPE_CONSUMABLE,
	["ITEMFILTERTYPE_CRAFTING"] = ITEMFILTERTYPE_CRAFTING,
	["ITEMFILTERTYPE_DAMAGED"] = ITEMFILTERTYPE_DAMAGED,
	["ITEMFILTERTYPE_JUNK"] = ITEMFILTERTYPE_JUNK,
	["ITEMFILTERTYPE_MISCELLANEOUS"] = ITEMFILTERTYPE_MISCELLANEOUS,
	["ITEMFILTERTYPE_QUEST"] = ITEMFILTERTYPE_QUEST,
	["ITEMFILTERTYPE_QUICKSLOT"] = ITEMFILTERTYPE_QUICKSLOT,
	["ITEMFILTERTYPE_WEAPONS"] = ITEMFILTERTYPE_WEAPONS
}

Item.Quality = {
	["ITEM_QUALITY_TRASH"] = ITEM_QUALITY_TRASH,
	["ITEM_QUALITY_NORMAL"] = ITEM_QUALITY_NORMAL,
	["ITEM_QUALITY_MAGIC"] = ITEM_QUALITY_MAGIC,
	["ITEM_QUALITY_ARCANE"] = ITEM_QUALITY_ARCANE,
	["ITEM_QUALITY_ARTIFACT"] = ITEM_QUALITY_ARTIFACT,
	["ITEM_QUALITY_LEGENDARY"] = ITEM_QUALITY_LEGENDARY,
}

Item.ArmorType = {
	["ARMORTYPE_HEAVY"] = ARMORTYPE_HEAVY,
	["ARMORTYPE_MEDIUM"] = ARMORTYPE_MEDIUM,
	["ARMORTYPE_LIGHT"] = ARMORTYPE_LIGHT,
}

Item.WeaponType = {      
	["WEAPONTYPE_AXE"] = WEAPONTYPE_AXE,
	["WEAPONTYPE_BOW"] = WEAPONTYPE_BOW,
	["WEAPONTYPE_DAGGER"] = WEAPONTYPE_DAGGER,
	["WEAPONTYPE_FIRE_STAFF"] = WEAPONTYPE_FIRE_STAFF,
	["WEAPONTYPE_FROST_STAFF"] = WEAPONTYPE_FROST_STAFF,
	["WEAPONTYPE_HAMMER"] = WEAPONTYPE_HAMMER,
	["WEAPONTYPE_HEALING_STAFF"] = WEAPONTYPE_HEALING_STAFF,
	["WEAPONTYPE_LIGHTNING_STAFF"] = WEAPONTYPE_LIGHTNING_STAFF,
	["WEAPONTYPE_RUNE"] = WEAPONTYPE_RUNE,
	["WEAPONTYPE_SHIELD"] = WEAPONTYPE_SHIELD,
	["WEAPONTYPE_SWORD"] = WEAPONTYPE_SWORD,
	["WEAPONTYPE_DAGGER"] = WEAPONTYPE_DAGGER,
	["WEAPONTYPE_TWO_HANDED_AXE"] = WEAPONTYPE_TWO_HANDED_AXE,
	["WEAPONTYPE_TWO_HANDED_HAMMER"] = WEAPONTYPE_TWO_HANDED_HAMMER,
	["WEAPONTYPE_TWO_HANDED_SWORD"] = WEAPONTYPE_TWO_HANDED_SWORD,
}

function Item:New(...)
	local obj = ZO_Object.New(self)
	obj:Initialize(...)
	return obj
end

function Item:Initialize(...)
end


backpack.Item = Item
